Debian Bug report logs - #308697
perl-transition: perl-5.004-suid dummy package still needed

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Javier Fernández-Sanguino Peña <jfs@computer.org>

Date: Wed, 11 May 2005 23:33:01 UTC

Severity: normal

Merged with 308698, 308700

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#308697; Package perl-transition. Full text and rfc822 format available.

Acknowledgement sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
New Bug report received and forwarded. Copy sent to Brendan O'Dea <bod@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: submit@bugs.debian.org
Subject: perl-transition: perl-5.004-suid dummy package still needed
Date: Thu, 12 May 2005 01:16:42 +0200
[Message part 1 (text/plain, inline)]
Package: perl-transition
Version: 6.3

The 'perl-5.004-suid' package is present in sarge and was previously 
present, unchanged, in charge. However, this is a dummy transition-only 
package (for potato?). Is there any reason this package should still exist 
in the distribution? If not, please remove the 'perl-5.004-suid' package 
creation from the perl-transition package.

Regards

Javier
[signature.asc (application/pgp-signature, inline)]

Merged 308697 308698 308700. Request was from Brendan O'Dea <bod@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#308697; Package perl-transition. Full text and rfc822 format available.

Acknowledgement sent to Brendan O'Dea <bod@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #12 received at 308697@bugs.debian.org (full text, mbox):

From: Brendan O'Dea <bod@debian.org>
To: Javier Fernández-Sanguino Peña <jfs@computer.org>, 308697@bugs.debian.org
Subject: Re: Bug#308697: perl-transition: perl-5.004-suid dummy package still needed
Date: Thu, 12 May 2005 11:48:31 +1000
reassign 308697 ftp.debian.org
thanks

On Thu, May 12, 2005 at 01:16:42AM +0200, Javier Fernández-Sanguino Peña wrote:
>Package: perl-transition
>Version: 6.3
>
>The 'perl-5.004-suid' package is present in sarge and was previously 
>present, unchanged, in charge. However, this is a dummy transition-only 
>package (for potato?). Is there any reason this package should still exist 
>in the distribution? If not, please remove the 'perl-5.004-suid' package 
>creation from the perl-transition package.

Right.

FTP masters:

The perl-transition source package was used to clean up the perl-<ver> mess
in the potato -> woody transition.

Should not be required for upgrades to sarge, and according to Steve
Langasek potato -> sarge is only supported by upgrading through woody.

Please remove perl-transition from unstable and testing.

--bod



Bug reassigned from package `perl-transition' to `ftp.debian.org'. Request was from Brendan O'Dea <bod@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 308697-done@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 308697-done@bugs.debian.org
Subject: Removed perl-transition from unstable
Date: Thu, 12 May 2005 02:56:59 -0400
We believe that the request you reported is now fixed; the following
package(s) have been removed from unstable:

perl-5.004 |        6.3 | all
perl-5.004-base |        6.3 | all
perl-5.004-debug |        6.3 | all
perl-5.004-doc |        6.3 | all
perl-5.004-suid |        6.3 | all
perl-5.005 |        6.3 | all
perl-5.005-base |        6.3 | all
perl-5.005-debug |        6.3 | all
perl-5.005-doc |        6.3 | all
perl-5.005-suid |        6.3 | all
  perl-5.6 |        6.3 | all
perl-5.6-base |        6.3 | all
perl-5.6-debug |        6.3 | all
perl-5.6-doc |        6.3 | all
perl-5.6-suid |        6.3 | all
perl-transition |        6.3 | source

Reason: RoM; Obsolete potato->woody transitional package

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to the just-closed bug (or by
replying to this mail if there is no bug closed).

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:08:42 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.